Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] redirect sv check to /dev/null
@ 2019-11-12 13:03 voidlinux-github
  2019-11-12 13:06 ` [PR PATCH] [Updated] GCP-Guest-Environment: " voidlinux-github
  2019-11-12 15:25 ` voidlinux-github
  0 siblings, 2 replies; 3+ messages in thread
From: voidlinux-github @ 2019-11-12 13:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 477 bytes --]

There is a new pull request by paualberto against master on the void-packages repository

https://github.com/paualberto/void-packages GCP-Guest-Environment
https://github.com/void-linux/void-packages/pull/16412

redirect sv check to /dev/null
Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status

A patch file from https://github.com/void-linux/void-packages/pull/16412.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-GCP-Guest-Environment-16412.patch --]
[-- Type: text/x-diff, Size: 2087 bytes --]

From 76891e05af8753cbbc2ac26690ca615c3e80f550 Mon Sep 17 00:00:00 2001
From: Alberto Pau <696864+paualberto@users.noreply.github.com>
Date: Tue, 12 Nov 2019 13:01:02 +0000
Subject: [PATCH] redirect sv check to /dev/null

Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status
---
 srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run      | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run    | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
index 63a6d7959c7..286d7b59f1d 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
index c70f4ce8ab3..33615f7eec0 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
index fc5f5671b21..31a2fd45452 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Updated] GCP-Guest-Environment: redirect sv check to /dev/null
  2019-11-12 13:03 [PR PATCH] redirect sv check to /dev/null voidlinux-github
@ 2019-11-12 13:06 ` voidlinux-github
  2019-11-12 15:25 ` voidlinux-github
  1 sibling, 0 replies; 3+ messages in thread
From: voidlinux-github @ 2019-11-12 13:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 505 bytes --]

There is an updated pull request by paualberto against master on the void-packages repository

https://github.com/paualberto/void-packages GCP-Guest-Environment
https://github.com/void-linux/void-packages/pull/16412

GCP-Guest-Environment: redirect sv check to /dev/null
Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status

A patch file from https://github.com/void-linux/void-packages/pull/16412.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-GCP-Guest-Environment-16412.patch --]
[-- Type: text/x-diff, Size: 2110 bytes --]

From 871ced3a7121625736c2fb0584484ed1e1ea273d Mon Sep 17 00:00:00 2001
From: Alberto Pau <696864+paualberto@users.noreply.github.com>
Date: Tue, 12 Nov 2019 13:01:02 +0000
Subject: [PATCH] GCP-Guest-Environment: redirect sv check to /dev/null

Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status
---
 srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run      | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run    | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
index 63a6d7959c7..286d7b59f1d 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
index c70f4ce8ab3..33615f7eec0 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
index fc5f5671b21..31a2fd45452 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Updated] GCP-Guest-Environment: redirect sv check to /dev/null
  2019-11-12 13:03 [PR PATCH] redirect sv check to /dev/null voidlinux-github
  2019-11-12 13:06 ` [PR PATCH] [Updated] GCP-Guest-Environment: " voidlinux-github
@ 2019-11-12 15:25 ` voidlinux-github
  1 sibling, 0 replies; 3+ messages in thread
From: voidlinux-github @ 2019-11-12 15:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 505 bytes --]

There is an updated pull request by paualberto against master on the void-packages repository

https://github.com/paualberto/void-packages GCP-Guest-Environment
https://github.com/void-linux/void-packages/pull/16412

GCP-Guest-Environment: redirect sv check to /dev/null
Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status

A patch file from https://github.com/void-linux/void-packages/pull/16412.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-GCP-Guest-Environment-16412.patch --]
[-- Type: text/x-diff, Size: 2643 bytes --]

From 1ab97b3a1e3b90837651170fc6468ee616ca0ecb Mon Sep 17 00:00:00 2001
From: Alberto Pau <696864+paualberto@users.noreply.github.com>
Date: Tue, 12 Nov 2019 13:01:02 +0000
Subject: [PATCH] GCP-Guest-Environment: redirect sv check to /dev/null

Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status
---
 srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run      | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run    | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run | 2 +-
 srcpkgs/GCP-Guest-Environment/template                    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
index 63a6d7959c7..286d7b59f1d 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
index c70f4ce8ab3..33615f7eec0 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
index fc5f5671b21..31a2fd45452 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/template b/srcpkgs/GCP-Guest-Environment/template
index 749e53e4f95..a42d1cfe602 100644
--- a/srcpkgs/GCP-Guest-Environment/template
+++ b/srcpkgs/GCP-Guest-Environment/template
@@ -1,7 +1,7 @@
 # Template file for 'GCP-Guest-Environment'
 pkgname=GCP-Guest-Environment
 version=20190801
-revision=1
+revision=2
 archs=noarch
 wrksrc="compute-image-packages-${version}"
 build_wrksrc="packages/python-google-compute-engine"

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-11-12 15:25 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-12 13:03 [PR PATCH] redirect sv check to /dev/null voidlinux-github
2019-11-12 13:06 ` [PR PATCH] [Updated] GCP-Guest-Environment: " voidlinux-github
2019-11-12 15:25 ` voidlinux-github

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).